Friends Wii got bricked by PreLoader

Discussion in 'Wii - Hacking' started by Jarnolord, Apr 18, 2009.

  1. Jarnolord
    OP

    Jarnolord Newbie

    Newcomer
    5
    0
    Apr 18, 2009
    Finland
    Okay, so, my friends wii was semibricked in version 3.2E (couldnt access settings.) so i upgraded it to 4.0E.
    Everything was fine for a moment, but then he went and installed PreLoader for some reason. Its now semibricked (can access homebrewchannel by starting it from PreLoader), so that when you start up it it gives you a black screen with something about systemfiles corrupted. So, im not really sure what to do next.
    Should i downgrade it to a lower version (Tried to downgrade back to 3.2E but it didnt work out for some reason.) or try deleting the PreLoader with starfall? Or what to do you think i should do?

    Yeah, i know its his own fault, but neither me or him havent done anything to you so please, nothing like: "its your own fault, deal with it by yourself."
    Sorry if this is the wrong area, my english is too bad. If my question has been answered before, please could you paste a link? I couldnt find anything that worked when i was searching on it by myself.
     
  2. HaTaX

    HaTaX GBAtemp Regular

    Member
    171
    6
    Mar 4, 2007
    United States
    I *think* you're going to need to get some ISOs of games that contain cIOS files that need to be replaced.. At least you can access the homebrew channel, that's a positive thing..

    Also, could be as simple as preloader didn't install 100% and reloading it again would help. My guess is that a cIOS file got corrupted or overwritten and someone more knowledgeable then me will probably chime in.

    Don't fret though, if you can see the HBC, then you're in ok shape, just need to figure out what got toasted and replace it. [​IMG]
     
  3. Jarnolord
    OP

    Jarnolord Newbie

    Newcomer
    5
    0
    Apr 18, 2009
    Finland
    I think the problem is that the preloader isnt compatible with 4.0? Would installing the missing cIOS files fix that up?
     
  4. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Preloader 0.29 works fine with System Menu 4.0

    I actually had a similar problem not too long ago

    If reinstalling preloader doesn't work, I'd try downgrading then reupgrading following this guide
     
  5. Jarnolord
    OP

    Jarnolord Newbie

    Newcomer
    5
    0
    Apr 18, 2009
    Finland
    The PreLoader he installed was 0.28 through, so installing 0.29 should help?
     
  6. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Yep, that must be the problem.

    Preloader 0.28 doesn't work with 4.0, because it doesn't patch IOS60.
    So just install preloader 0.29 and everything should work fine [​IMG]
     
  7. steve-p

    steve-p GBAtemp Advanced Fan

    Member
    503
    0
    Apr 13, 2009
    was it configured to work on the net when it bricked?
    if yes then preloader may even be able to dowload and install it's own upgrade.
     
  8. piratesmack

    piratesmack GBAtemp Advanced Fan

    Member
    787
    0
    Mar 28, 2009
    United States
    $(pwd)
    Can't he just put the dol on his sdcard, then boot into the homebrew channel and install it?
     
  9. Jarnolord
    OP

    Jarnolord Newbie

    Newcomer
    5
    0
    Apr 18, 2009
    Finland
    Yeah it works great now, thanks guys. [​IMG]